
it.emasab.Mailclassifier.getProxyFor = function(obj,interf,type){
	return it.emasab.Mailclassifier.Services.proxyObjectManager.getProxyForObject(it.emasab.Mailclassifier.Services.mainThread,interf,
                               obj,
                               type);
}

it.emasab.Mailclassifier.getSyncProxy = function(obj,interf){
	return it.emasab.Mailclassifier.getProxyFor(obj,interf,it.emasab.Mailclassifier.Constants.proxySync);
}

it.emasab.Mailclassifier.getAsyncProxy = function(obj,interf){
	return it.emasab.Mailclassifier.getProxyFor(obj,interf,it.emasab.Mailclassifier.Constants.proxyAsync);
}

it.emasab.Mailclassifier.createProxy = function(cid,interf,type){
	var obj = Components.classes[cid].createInstance(interf);
	return it.emasab.Mailclassifier.getProxyFor(obj,interf,type);
}

it.emasab.Mailclassifier.createThread = function(){
	return Components.classes["@mozilla.org/thread;1"].createInstance(it.emasab.Mailclassifier.Constants.nsIThread); 
}
it.emasab.Mailclassifier.ClassifyTask = function(uri,account){
	this.uri=uri;
	this.account=account;
	this.run=function(){
		it.emasab.Mailclassifier.controller.classifyMessage(this.uri,this.account);
	}
}
it.emasab.Mailclassifier.classifyMessageOnThread = function(uri,account){
	var thread=it.emasab.Mailclassifier.createThread();
	thread.init(new it.emasab.Mailclassifier.ClassifyTask(uri,account) ,0,
                    it.emasab.Mailclassifier.Constants.nsIThread.PRIORITY_NORMAL,
                    it.emasab.Mailclassifier.Constants.nsIThread.SCOPE_GLOBAL,
                    it.emasab.Mailclassifier.Constants.nsIThread.STATE_UNJOINABLE);
}

it.emasab.Mailclassifier.isUserFolder = function(folder){
	var isInbox = folder.isSpecialFolder(nsMsgFolderFlags.Inbox);
	var isBozze = folder.isSpecialFolder(nsMsgFolderFlags.Drafts);
	var isModelli = folder.isSpecialFolder(nsMsgFolderFlags.Templates);
	var isSent = folder.isSpecialFolder(nsMsgFolderFlags.SentMail);
	var isTrash = folder.isSpecialFolder(nsMsgFolderFlags.Trash);
	var isJunk = folder.isSpecialFolder(nsMsgFolderFlags.Junk);
	var isQueue = folder.isSpecialFolder(nsMsgFolderFlags.Queue);
	
	var ret = !(isInbox || isBozze || isModelli || isSent || isTrash ||
		 isJunk || isQueue);
	
	return ret;
}

it.emasab.Mailclassifier.allUserFolders = function(ufol){
	var par=ufol;
	var allUsr= par && !it.emasab.Mailclassifier.isInbox(par);
	while(par && par!=ufol.rootFolder && !it.emasab.Mailclassifier.isInbox(par)){
		if(!it.emasab.Mailclassifier.isUserFolder(par)){
			allUsr=false;
		}
		par=par.parentMsgFolder;
	}
	return allUsr;
}

it.emasab.Mailclassifier.isInbox = function(folder){
	return folder.isSpecialFolder(nsMsgFolderFlags.Inbox);
}

it.emasab.Mailclassifier.mcClassifyMessage = function(folder, mail){
	it.emasab.Mailclassifier.debug("get: " + mail.subject );
	uri = folder.getUriForMsg(mail);
	it.emasab.Mailclassifier.controller.classifyMessage(uri,folder.server);
}

it.emasab.Mailclassifier.mailClassifierListener2 = {
	msgAdded: function(aMsg){
		dump("msgAdded: " + aMsg.folder.prettyName);
		var folder = aMsg.folder;
		if(it.emasab.Mailclassifier.allUserFolders(folder)){
			var uri = folder.getUriForMsg(aMsg);
			it.emasab.Mailclassifier.controller.setClassification(uri, folder);
		}	
	},
	msgsClassified: function(aMsgs, aJunkProcessed, aTraitProcessed){},
	msgsDeleted: function(aMsgs){
		dump("msgDeleted\n");	
	},
	msgsMoveCopyCompleted: function(aMove,aSrcMsgs,aDestFolder,aDestMsgs){
		dump("moveCopy\n");
		try{	
			var firstMsg = aSrcMsgs.queryElementAt(0, Components.interfaces.nsIMsgDBHdr);
			if(firstMsg){
				var srcFolder = firstMsg.folder;				
				if(it.emasab.Mailclassifier.allUserFolders(aDestFolder)){
					var enumeration = aSrcMsgs.enumerate()
					while(enumeration.hasMoreElements()){
						var msg = enumeration.getNext();
						var uri = aDestFolder.getUriForMsg(msg);
						it.emasab.Mailclassifier.controller.setClassification(uri, aDestFolder);
					}
				}	
			}
		} catch(e){dump(e);}
	},
	folderAdded: function(aFolder){
		dump("folder added: " + aFolder.URI);
		if(it.emasab.Mailclassifier.allUserFolders(aFolder)){
			it.emasab.Mailclassifier.controller.addFolder(aFolder);
		}	
	},
	folderDeleted: function(aFolder){
		dump("folder deleted: " + aFolder.URI);
		it.emasab.Mailclassifier.controller.removeFolder(aFolder);
	},
	folderMoveCopyCompleted: function(aMove,aSrcFolder,aDestFolder){
		this.folderAdded(aDestFolder.findSubFolder(aSrcFolder.name));
		this.folderDeleted(aSrcFolder);
	},
	folderRenamed: function(aOrigFolder, aNewFolder){
		this.folderAdded(aNewFolder)
	},
	itemEvent: function(aItem, aEvent, aData){
		dump("itemEvent: " +aEvent+ "\n");		
	}
}


it.emasab.Mailclassifier.getUserFolders = function(account){
	if(!account){	
		var folderselres= GetSelectedFolderResource();
		var foldersel =  GetMsgFolderFromResource(folderselres);
		var account=foldersel.server;
	}
	var ufolders=it.emasab.Mailclassifier.controller.getUFolders(account);
	return ufolders;
}
it.emasab.Mailclassifier.getClassifiedFolders = function(classifications){
	ret=new Array();
	if(classifications!=null){
		for(i=0;i<classifications.length;i++){
			fol=classifications[i];
			fv=new it.emasab.Mailclassifier.FolderView((i+1)+") "+fol.mozillaFolder.name,fol);
			ret.push(fv);
		}
	}
	return ret;
}
it.emasab.Mailclassifier.map = function(fun,arr,i){
	if(i==arr.length) return new Array();
	else{
		b=fun(arr[i]);
		rtr=it.emasab.Mailclassifier.map(fun,arr,i+1)
		rtr.push(b);
		return rtr;
	}
}
it.emasab.Mailclassifier.insertedFoldersOrdered=new Array();
it.emasab.Mailclassifier.change = function(folders){
	ret=new Array();
	for(i=0;i<folders.length;i++){
		fol=folders[i];
		item=document.createElement("menuitem");
		item.setAttribute("id",i);
		item.setAttribute("label",fol.name);
		item.setAttribute("class","menuitem-iconic");
		item.setAttribute("oncommand","it.emasab.Mailclassifier.changeFolder(expfolders["+i+"]);");
		ret.push(item);
	}
	return ret;
}
it.emasab.Mailclassifier.subtract = function(x,y){
	ret=new Array();
	for(i=0;i<x.length;i++){
		presente=false;
		for(j=0;j<y.length;j++){
			if(x[i].folder==y[j].folder) presente=true;
		}
		if(!presente) ret.push(x[i]);
	}
	return ret;	
}
it.emasab.Mailclassifier.createSeparator = function(){
	return document.createElement("menuseparator");
}
it.emasab.Mailclassifier.getTreeViews = function(ufolders,i){
	var a=new Array();
	for(u in ufolders){
		var ufolder=ufolders[u];
		if(ufolder.children && ufolder.parent==null) a.push(ufolder);
	}
	return it.emasab.Mailclassifier.getTreeViews1(a,i)[0];
}
it.emasab.Mailclassifier.getTreeViews1 = function(ufolders,i){
	var ret=new Array();
	for(u in ufolders){
		var ufolder=ufolders[u];
		if(ufolder.children){
			it.emasab.Mailclassifier.insertedFoldersOrdered.push(ufolder.mozillaFolder);
			if((ufolder.children.size()-1)==0){
				var item=document.createElement("menuitem");
				item.setAttribute("label",ufolder.mozillaFolder.name);
				item.setAttribute("tooltiptext",ufolder.fullPath);
				item.setAttribute("class","menuitem-iconic");
				item.setAttribute("oncommand","it.emasab.Mailclassifier.changeFolder(it.emasab.Mailclassifier.insertedFoldersOrdered["+i+"]);");
			}
			else{
				var item=document.createElement("menu");
				item.setAttribute("label",ufolder.mozillaFolder.name);
				item.setAttribute("tooltiptext",ufolder.fullPath);
				item.setAttribute("class","menu-iconic");
				//item.setAttribute("class","menuitem-iconic");
				//item.setAttribute("oncommand","it.emasab.Mailclassifier.changeFolder(it.emasab.Mailclassifier.insertedFoldersOrdered["+i+"]);");
				var popup=document.createElement("menupopup");
				
				var questoLabel = it.emasab.Mailclassifier.Services.extbundle.GetStringFromName("this_menuitem_label");
				var questo=document.createElement("menuitem");
				questo.setAttribute("label",questoLabel);
				questo.setAttribute("tooltiptext",questoLabel);
				questo.setAttribute("oncommand","it.emasab.Mailclassifier.changeFolder(it.emasab.Mailclassifier.insertedFoldersOrdered["+i+"]);");
				item.appendChild(popup);
				popup.appendChild(questo);
				popup.appendChild(it.emasab.Mailclassifier.createSeparator());
				var ret1=it.emasab.Mailclassifier.getTreeViews1(ufolder.getUFolders(),i+1);
				for(u1 in ret1[0]){popup.appendChild(ret1[0][u1]);}
				i=ret1[1]-1;
			}
			ret.push(item);
			i++
		}
	}
	return [ret,i];
}
it.emasab.Mailclassifier.insertUserFolders = function(root,move,classifications){
	insertedFoldersOrdered=new Array();
	ufolders=it.emasab.Mailclassifier.getUserFolders();
	set=it.emasab.Mailclassifier.getClassifiedFolders(classifications);
	ret=0;
	insert=function(fols){
		return function(node){
			fols.appendChild(node);
		}
	}
	if(set.length>0){ret++;move.removeAttribute("disabled");}
	set.shift();
	views=new Array();
	for(var i=0;i<set.length;i++){
		var fol=set[i];
		var item=document.createElement("menuitem");
		item.setAttribute("label",fol.nome);
		item.setAttribute("tooltiptext",fol.folder.fullPath);
		item.setAttribute("class","menuitem-iconic");
		item.setAttribute("oncommand","it.emasab.Mailclassifier.changeFolder(it.emasab.Mailclassifier.insertedFoldersOrdered["+i+"]);");
		views.push(item);
		insertedFoldersOrdered.push(fol.folder.mozillaFolder);
	}
	if(views.length>0) views.push(it.emasab.Mailclassifier.createSeparator());
	var ufolderViews=it.emasab.Mailclassifier.getTreeViews(ufolders,i);
	views=views.concat(ufolderViews);
	if(views.length>0){ret++; root.parentNode.removeAttribute("disabled");}
	it.emasab.Mailclassifier.map(insert(root),views,0);
	return ret;
}

it.emasab.Mailclassifier.getCurrentFolders = function(){
	return gFolderTreeView.getSelectedFolders();
}

it.emasab.Mailclassifier.removeAllChildren = function(node){
	while(node.childNodes.length>0){
		node.removeChild(node.childNodes[0])
	}
}
it.emasab.Mailclassifier.updateFolders = function(uri){
	var menu=document.getElementById('mailContext-maiclassifier');
	var move=document.getElementById('mailContext-maiclassifierMove');
	menu.setAttribute("disabled","true");
	move.setAttribute("disabled","true");
}

it.emasab.Mailclassifier.setClassificationsOnMoveTo = function(folder){
	var indices=gFolderDisplay.selectedMessages;
	for(var i=0;i<indices.length;i++){
		var uri = indices[i].folder.getUriForMsg(indices[i]); ;
		it.emasab.Mailclassifier.controller.setClassification(uri,folder);
	}
}

it.emasab.Mailclassifier.changeFolder = function(fold){
	gDBView.doCommandWithFolder(nsMsgViewCommandType.moveMessages, fold);
	//it.emasab.Mailclassifier.Constants.tree.view.selection.clearSelection();
}

it.emasab.Mailclassifier.GetURIForIndex = function(index){
	return it.emasab.Mailclassifier.Constants.tree.view.QueryInterface(Components.interfaces.nsIMsgDBView).getURIForViewIndex(index);
}

it.emasab.Mailclassifier.refreshClassifications = function(){
	it.emasab.Mailclassifier.Constants.tree.treeBoxObject.invalidate();
}

it.emasab.Mailclassifier.clickOnTreeCell = function(event)

{
  try{
  var row = {}, col = {}, obj = {};
  it.emasab.Mailclassifier.Constants.tree.treeBoxObject.getCellAt(event.clientX, event.clientY,row,col,obj);
  var uri=null;
  if(row.value>=0) uri=it.emasab.Mailclassifier.GetURIForIndex(row.value);
  //it.emasab.Mailclassifier.updateFolders(uri);
  if (event && event.type == "click" && event.button==0)
  {
    if (obj.value=="text" && (col.value==it.emasab.Mailclassifier.mailclassifierColId || col.value.id==it.emasab.Mailclassifier.mailclassifierColId) && uri){
		var fol=it.emasab.Mailclassifier.controller.getFirstMessageClassification(uri);
		if(fol) it.emasab.Mailclassifier.changeFolder(fol);
    }
  }
   if(it.emasab.Mailclassifier.firstTime){
	     it.emasab.Mailclassifier.firstTime = false
	     if(confirm(it.emasab.Mailclassifier.Services.extbundle.GetStringFromName("initialsetup.message"))){
			it.emasab.Mailclassifier.initialSetup();
	     }
	     /*var accounts = it.emasab.Mailclassifier.controller.getAccounts()
	     for(account in accounts){
			try {
				var inbox = accounts[account].getInbox();
				if(inbox){
					var database = inbox.msgDatabase;
					var dBFolderInfo = inbox.msgDatabase.dBFolderInfo;
					var columnStates = dBFolderInfo.getCharProperty("columnStates");
					columnStates = JSON.parse(columnStates);
					if(!columnStates["mailclassifierCol"]) columnStates["mailclassifierCol"]={};
					columnStates["mailclassifierCol"]["visible"] = true;
					dBFolderInfo.setCharProperty("columnStates", JSON.stringify(columnStates));
					database.Commit(Components.interfaces.nsMsgDBCommitType.kSmallCommit);
					if(gDBView.msgFolder==inbox){
						var col=document.getElementById("mailclassifierCol");
						col.setAttribute("hidden", false);
						col.setAttribute("swappedhidden", true);						
					}
				}
			} catch(e){dump(e);}
             }*/
   }
  } catch(e){dump(e);}

}
it.emasab.Mailclassifier.moveSelectedMessages = function(messages){
	var srcfols = {}
	var srcfolUris= {}
	for(i in messages){
		var msg = messages[i];
		var uri = msg.folder.getUriForMsg(msg);//it.emasab.Mailclassifier.GetURIForIndex(indicesArray[i]);
		var folsrc = msg.folder.QueryInterface(Components.interfaces.nsIRDFResource);		
		var foldst=it.emasab.Mailclassifier.controller.getFirstMessageClassification(uri);
		if(foldst && uri && msg && it.emasab.Mailclassifier.isInbox(msg.folder)){
			obj = new Object();
			obj.msg = msg;//it.emasab.Mailclassifier.Services.messenger.messageServiceFromURI(uri).messageURIToMsgHdr(uri);
			obj.folsrc = folsrc;		
			obj.foldst = foldst.QueryInterface(Components.interfaces.nsIRDFResource);		
			if(!srcfols[folsrc.URI]){
				 srcfols[folsrc.URI] = new Array();
				 srcfolUris[folsrc.URI] = folsrc;
			}			
			srcfols[folsrc.URI].push(obj);
		}
	}
	for(folsrc in srcfols){
		var objs = srcfols[folsrc];
		objs.sort(function(x,y){
			if(x.foldst.name<y.foldst.name) return -1;
			else if(x.foldst.name==y.foldst.name) return 0;
			return 1;	
		});
		folsrc = srcfolUris[folsrc];
		var list = Components.classes["@mozilla.org/array;1"].createInstance(Components.interfaces.nsIMutableArray);
		var i=0;
		while(i<objs.length){
			var fol=objs[i].foldst;
			list = Components.classes["@mozilla.org/array;1"].createInstance(Components.interfaces.nsIMutableArray);		
			while(i<objs.length && objs[i].foldst==fol){
				msg=objs[i].msg;
				foldst=objs[i].foldst;
				list.appendElement(msg, false);
				i++;
			}
			foldst.copyMessages(folsrc, list, true, msgWindow, null, false, true);
		}
	}
}
it.emasab.Mailclassifier.fromTo = function(n,m){
	ret=new Array();
	for(var i=n;i<=m;i++){
		ret.push(i);
	}
	return ret;
}
it.emasab.Mailclassifier.onMoveSelectedMessages = function(){
	var messages = gFolderDisplay.selectedMessages;
	it.emasab.Mailclassifier.moveSelectedMessages(messages);
}
it.emasab.Mailclassifier.onMoveSelectedMessagesButton = function(){
	if(it.emasab.Mailclassifier.Constants.tree.view.rowCount<=0) return;
	it.emasab.Mailclassifier.debug(it.emasab.Mailclassifier.Constants.tree.view.getCellText);
	it.emasab.Mailclassifier.onMoveSelectedMessages();
}
/*it.emasab.Mailclassifier.onChangeSelection = function(){
	var menuitem_sposta=document.getElementById('MCMenu_sposta');
	var count=it.emasab.Mailclassifier.Constants.tree.view.rowCount;
	menuitem_sposta.setAttribute("disabled","true");
	if(count && count>0){
		menuitem_sposta.removeAttribute("disabled");	
	}
}*/

it.emasab.Mailclassifier.initialSetup = function(){
	accounts = it.emasab.Mailclassifier.controller.getAccounts()
	training = new Array();
	inbox = new Array();
	for(account in accounts){
		training.push(true);
		inbox.push(true);
	}
	it.emasab.Mailclassifier.classifications(accounts,training,inbox);
}

/*it.emasab.Mailclassifier.junkListener = {
	onJunkScoreChanged: function(){
	},
	onHdrChange: function(hdr, oldFlags, newFlags){
		if(hdr.getProperty("junkscoreorigin") == "plugin"){
			score = hdr.getProperty("junkscore");
			dump(score +"\n");
			dump(Components.interfaces.nsIJunkMailPlugin + "\n");
		}
	},
	onHdrAdded: function(hdr, parentKey, flags){
		dump(hdr.subject +" added\n");
	},

	onHdrDeleted: function(){},
	onParentChanged: function(){}
}*/
/*it.emasab.Mailclassifier.mcIsJunk = function(hdr){
	var junkScore = hdr.getStringProperty("junkscore");
	return ((junkScore != "") && (junkScore != "0"));
}

it.emasab.Mailclassifier.mcDeferClassification = function(hdr){
	var folder = hdr.folder;
	var isJunk = it.emasab.Mailclassifier.mcIsJunk(hdr);
	var actionParams = determineActionsForJunkMsgs(folder);
	return !isJunk && actionParams.junkTargetFolder!=null;
}

it.emasab.Mailclassifier.mcAddSpamHandler = function(){
	var f = messageClassifier.prototype.onMessageClassified
	messageClassifier.prototype.onMessageClassified = function(uri, classification){
		var hdr =  new it.emasab.Mailclassifier.Message(uri).getMessageHdr()
		var folder = hdr.folder;
		var defer = it.emasab.Mailclassifier.mcDeferClassification(folder)
		if(defer && classification != Components.interfaces.nsIJunkMailPlugin.JUNK){
			it.emasab.Mailclassifier.debug("da muovere");			
			//it.emasab.Mailclassifier.mcClassifyMessage(folder, hdr);
		}		
		f(uri,classification);
	}
}*/


it.emasab.Mailclassifier.mcOnLoad = function(){
	if(it.emasab.Mailclassifier.Services.pref.getBoolPref("mailclassifier.preferences.firstTime")){
		it.emasab.Mailclassifier.Services.pref.setBoolPref("mailclassifier.preferences.firstTime",false);
		it.emasab.Mailclassifier.firstTime = true;
	        try {
		      var tagButton=document.getElementById("button-tag");
		      var toolbarElement = document.getElementById("mail-bar3");
		      if (toolbarElement!=null && tagButton!=null) {
			toolbarElement.currentSet = toolbarElement.currentSet.replace("button-tag", "button-tag,mailclassifier-button");			
			toolbarElement.setAttribute("currentset", toolbarElement.currentSet);
			document.persist(toolbarElement.id,"currentset");
		      }
	        }
	        catch(e) { }
		/*var  accounts = it.emasab.Mailclassifier.controller.getAccounts()
		for(account in accounts){
			try {
				var inbox = accounts[account].getInbox();
				if(inbox){
					var database = inbox.msgDatabase;
					var dBFolderInfo = inbox.msgDatabase.dBFolderInfo;
					var columnStates = dBFolderInfo.getCharProperty("columnStates");
					alert(columnStates );
					columnStates = JSON.parse(columnStates);
					if(!columnStates["mailclassifierCol"]) columnStates["mailclassifierCol"]={};
					columnStates["mailclassifierCol"]["visible"] = true;
					dBFolderInfo.setCharProperty("columnStates", JSON.stringify(columnStates));
					database.Commit(Components.interfaces.nsMsgDBCommitType.kSmallCommit);
				}
			} catch(e){dump(e);}
		}*/
	} else {
		it.emasab.Mailclassifier.loadClassifications();
	}
	it.emasab.Mailclassifier.Constants.tree.addEventListener('click', it.emasab.Mailclassifier.clickOnTreeCell, true);
	it.emasab.Mailclassifier.Services.notificationService.addListener(it.emasab.Mailclassifier.mailClassifierListener2, it.emasab.Mailclassifier.Constants.notifyFlags);
	it.emasab.Mailclassifier.Services.observerService.addObserver(it.emasab.Mailclassifier.mcDbObserver, "MsgCreateDBView", false);
	it.emasab.Mailclassifier.mcClassificationThread.run();
}

it.emasab.Mailclassifier.mcAllIncluded = function(mozFolder){
	if(!mozFolder) return false;
	return !it.emasab.Mailclassifier.controller.getExcluded(mozFolder) && (mozFolder.parent==null || it.emasab.Mailclassifier.mcAllIncluded(mozFolder.parent));
}

it.emasab.Mailclassifier.mcFillFolderMenu = function() {
	var folderTree = document.getElementById("folderTree"); 
	var startIndex = {};
	var endIndex = {};
	folderTree.view.selection.getRangeAt(0, startIndex, endIndex);
	if (startIndex.value < 0)
		return false;
	var numSelected = endIndex.value - startIndex.value + 1;
	
	var folder = gFolderTreeView.getSelectedFolders()[0];

	var isServer = folder.isServer;//GetFolderAttribute(folderTree, folderResource, "IsServer") == 'true';
	var serverType = folder.server.type;//folGetFolderAttribute(folderTree, folderResource, "ServerType");
	//var specialFolder = GetFolderAttribute(folderTree, folderResource, "SpecialFolder");
	var isMailFolder = !isServer && serverType != 'nntp';
	var allUser = it.emasab.Mailclassifier.allUserFolders(folder);
	var allIncluded = it.emasab.Mailclassifier.mcAllIncluded(folder.parent);

	var mcFolderShowMenu = ((numSelected == 1) && isMailFolder && allUser & allIncluded);

	ShowMenuItem("folderPaneContext-mcblockfolder", mcFolderShowMenu);
	EnableMenuItem("folderPaneContext-mcblockfolder", mcFolderShowMenu);

	var mcBlockFolderItem = document.getElementById('folderPaneContext-mcblockfolder');
	var found = it.emasab.Mailclassifier.controller.getExcluded(folder);
	mcBlockFolderItem.label = found ? it.emasab.Mailclassifier.Services.extbundle.GetStringFromName("ufolder.include") : it.emasab.Mailclassifier.Services.extbundle.GetStringFromName("ufolder.exclude");
}

it.emasab.Mailclassifier.mcChangeFolderBlock = function(){
	var folderTree = document.getElementById("folderTree"); 
	if (folderTree) {
		var selectedFolders = GetSelectedMsgFolders();
		var selectedFolder = selectedFolders[0];
		it.emasab.Mailclassifier.controller.changeExcluded(selectedFolder);
	}
}

it.emasab.Mailclassifier.showChooseClassifications = function(){
	if(!it.emasab.Mailclassifier.mcChooseClassifications){
		it.emasab.Mailclassifier.mcChooseClassifications = new it.emasab.Mailclassifier.ChooseClassifications()
		it.emasab.Mailclassifier.mcChooseClassifications.show()
	}
}

it.emasab.Mailclassifier.init = function(){
	it.emasab.Mailclassifier.controller=new it.emasab.Mailclassifier.MailClassifierController(it.emasab.Mailclassifier.Services.accountManager.allServers);
	window.addEventListener("load",it.emasab.Mailclassifier.mcOnLoad,false);
}
it.emasab.Mailclassifier.init();

